Routes

FR · Insurance API · 2026-04-01

Find user by externalId

GEThttps://api.anessa.co/users

Find a user by externalId. Returns 404 if not found.

Request

Query Parameters

externalIdstringrequired

Header Parameters

Insurely-Versionstringrequired

The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.

Possible Enum values are 2026-04-01.

Responses

User found.

Body

anonymizedboolean
createdAtstring[date-time]
externalIdstring
updatedAtstring[date-time]
userUuidstring
cURL
curl https://api.anessa.co/users?externalId=your-value \
  -H "authorization-token: <authorization-token>" \
  -H "Insurely-Version: 2026-04-01"